ranges::adaptor_base Struct Reference
Views

## Public Member Functions

| adaptor_base (adaptor_base &&)=default
| adaptor_base (adaptor_base const &)=default
| adaptor_base (detail::ignore_t, detail::ignore_t={}, detail::ignore_t={})
adaptor_base & | operator= (adaptor_base &&)=default
adaptor_base & | operator= (adaptor_base const &)=default
template<typename I >
CPP_TEMPLATE_AUX_0 | s (requires ` input_or_output_iterator< I >) ssstatic iter_reference_t< I > read(I const &it
CPP_TEMPLATE_AUX_0 S CPP_TEMPLATE_AUX_0 | s (requires ` sentinel_for< S, I >) ssstatic const expr bool empty(I const &it

## Static Public Member Functions

template<typename Rng >
static constexpr auto | begin (Rng &rng) CPP_AUTO_FUN_RETURNS_CONST_0 t(return ranges

## Public Attributes

CPP_TEMPLATE_AUX_0 S CPP_TEMPLATE_AUX_0 S const & | last

## Member Data Documentation

## last

CPP_TEMPLATE_AUX_0 S CPP_TEMPLATE_AUX_0 S const& ranges::adaptor_base::last

Initial value:
{
return it == last